import { CodeGen } from '@volar/code-gen';
import * as CompilerDOM from '@vue/compiler-dom';
import { TsMappingData } from '../types';
export declare const transformContext: CompilerDOM.TransformContext;
export declare function generate(sourceLang: 'html' | 'pug', templateAst: CompilerDOM.RootNode, isVue2: boolean, cssScopedClasses: string[] | undefined, htmlToTemplate: (htmlStart: number, htmlEnd: number) => number | undefined, isScriptSetup: boolean, searchTexts: {
    getEmitCompletion(tag: string): string;
    getPropsCompletion(tag: string): string;
}): {
    codeGen: CodeGen<TsMappingData>;
    formatCodeGen: CodeGen<TsMappingData>;
    cssCodeGen: CodeGen<undefined>;
    tagNames: Record<string, {
        rawComponent: string;
        slotsComponent: string;
        baseProps: string;
        emit: string;
        slots: string;
        events: Record<string, string>;
        offsets: number[];
    }>;
    attrNames: Set<string>;
};
export declare function getPatchForSlotNode(node: CompilerDOM.ElementNode): CompilerDOM.ForNode | undefined;
